## sagemath-database-cremona-elliptic-curves 0~20191029

=== Makefile ===
#Makefile for ECDATA directory

CC = gcc

FTP_HOST = warwick
FTP_DIR = public_html/ftp/data
DIST_DIR = /home/jec/ecdata/ecdata

ALLCURVES = allcurves/allcurves.?0000-?9999 allcurves/allcurves.??0000-??9999
APLIST = aplist/aplist.?0000-?9999 aplist/aplist.??0000-??9999
BIGSHA = allbigsha/allbigsha.?0000-?9999 allbigsha/allbigsha.??0000-??9999
COUNT = count/count.?0000-?9999 count/count.??0000-??9999
CURVES = curves/curves.?0000-?9999 curves/curves.??0000-??9999
DEGPHI = degphi/degphi.?0000-?9999 degphi/degphi.??0000-??9999
ALLDEGPHI = alldegphi/alldegphi.?0000-?9999 alldegphi/alldegphi.??0000-??9999
GENS =
ALLGENS = allgens/allgens.?0000-?9999 allgens/allgens.??0000-??9999
ALLISOG = allisog/allisog.?0000-?9999 allisog/allisog.??0000-??9999
BSD = allbsd/bsd.1-1000 allbsd/allbsd.?0000-?9999 allbsd/allbsd.??0000-??9999
PARICURVES = paricurves/paricurves.?0000-?9999 paricurves/paricurves.??0000-??9999
INTPTS = intpts/intpts.?0000-?9999 intpts/intpts.??0000-??9999
GALREPS = galrep/galrep.?0000-?9999 galrep/galrep.??0000-??9999
TWOADIC = 2adic/2adic.?0000-?9999 2adic/2adic.??0000-??9999
OPTIMAL = opt_man/opt_man.?0000-?9999 opt_man/opt_man.??0000-??9999
GROWTH = growth/*/growth*.*000-*999

allcurves: $(ALLCURVES)
	@echo $(ALLCURVES)
aplist: $(APLIST)
	@echo $(APLIST)
allbigsha: $(ALLBIGSHA)
	@echo $(ALLBIGSHA)
count: $(COUNT)
	@echo $(COUNT)
curves: $(CURVES)
	@echo $(CURVES)
degphi: $(DEGPHI)
	@echo $(DEGPHI)
alldegphi: $(ALLDEGPHI)
	@echo $(ALLDEGPHI)
allgens: $(ALLGENS)
	@echo $(ALLGENS)
allisog: $(ALLISOG)
	@echo $(ALLISOG)
bsd: $(BSD)
	@echo $(BSD)
paricurves: $(PARICURVES)
	@echo $(PARICURVES)
intpts: $(INTPTS)
	@echo $(INTPTS)
galreps: $(GALREPS)
	@echo $(GALREPS)
twoadic: $(TWOADIC)
	@echo $(TWOADIC)
optimal: $(OPTIMAL)
	@echo $(OPTIMAL)
growth: $(GROWTH)
	@echo $(GROWTH)

HTMLFILES = html/index.html html/shas.html html/table.html html/curves.1-1000.html
TEXTFILES = doc/manin.txt doc/file-format.txt doc/release_notes.md doc/merging.txt
DATAFILES =  $(ALLCURVES) $(APLIST) $(BIGSHA) $(COUNT) $(DEGPHI) $(ALLDEGPHI) $(ALLGENS) $(BSD) $(ALLISOG) $(PARICURVES) $(INTPTS) $(GALREPS) $(TWOADIC) $(OPTIMAL) $(GROWTH)
FTPFILES = $(DATAFILES) $(TEXTFILES) $(HTMLFILES)
DATASUBDIRS = allcurves aplist allbigsha count curves degphi alldegphi allgens allisog allbsd paricurves intpts galrep 2adic growth opt_man

commit: $(FTPFILES)
	git add $(DATAFILES)
	-git commit -m "updated data files"
	git add $(TEXTFILES)
	-git commit -m "updated text files (in master:./doc)"
	git add $(HTMLFILES)
	-git commit -m "updated html files (in master:./html)"
	git push
	git checkout gh-pages
	git checkout master:./html/ ./
	git add *.html
	-git commit -m "updated html files in gh-pages branch"
	git push
	git checkout master


DATE = $(shell date +%Y-%m-%d )
tar: $(FTPFILES)
	rm -rf $(DIST_DIR)
	mkdir -p $(DIST_DIR)
	for d in $(DATASUBDIRS) html doc; do mkdir -p $(DIST_DIR)/$${d}; done
	for f in $(FTPFILES); do ln -s $(PWD)/$${f} $(DIST_DIR)/$${f}; done
	cd $(DIST_DIR)/..
	tar -zchf ecdata-$(DATE).tgz ecdata
	scp ecdata-$(DATE).tgz $(FTP_HOST):$(FTP_DIR)/..
	ssh $(FTP_HOST) chmod a+r $(FTP_DIR)/../ecdata-$(DATE).tgz

# NB The Sage import script requires that the tarball extracts to a
# directory called 'ecdata'

=== debian/changelog ===
sagemath-database-cremona-elliptic-curves (0~20191029-4) unstable; urgency=medium

  * Fix d/watch.
  * Bump std-vers to 4.6.0.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 25 Aug 2021 23:18:29 +0200

sagemath-database-cremona-elliptic-curves (0~20191029-3) unstable; urgency=medium

  * Re-upload source-only to help testing migration.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 01 Nov 2020 07:21:35 +0100

sagemath-database-cremona-elliptic-curves (0~20191029-2) unstable; urgency=medium

  * Update d/copyright.
  * Bump dh compat to 13.
  * Declare d/rules doesn't require root.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 12 Oct 2020 23:25:38 +0200

sagemath-database-cremona-elliptic-curves (0~20191029-1) unstable; urgency=medium

  * Initial packaging (Closes: #932445)

 -- Julien Puydt <jpuydt@debian.org>  Sun, 12 Apr 2020 10:01:24 +0200

=== debian/control ===
Source: sagemath-database-cremona-elliptic-curves
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Julien Puydt <jpuydt@debian.org>
Section: math
Priority: optional
Standards-Version: 4.6.0
Homepage: https://github.com/JohnCremona/ecdata
Build-Depends: debhelper-compat (= 13), python3
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/science-team/sagemath-database-cremona-elliptic-curves.git
Vcs-Browser: https://salsa.debian.org/science-team/sagemath-database-cremona-elliptic-curves

Package: sagemath-database-cremona-elliptic-curves
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Databases of elliptic curves over the rationals
 This package contains John Cremona's database of all elliptic curves
 over the rationals of bounded conductor.
 .
 It is a complement to the sagemath software suite.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	python3 debian/build_sql3db.py

override_dh_auto_clean:
	rm -f cremona.db

=== debian/watch ===
version=4
opts=uversionmangle=s/([\d]+)-([\d]+)-([\d]+)/$1$2$3/g,dversionmangle=s/^[0-9]~//g \
https://github.com/JohnCremona/ecdata/tags .*/@ANY_VERSION@\.tar\.gz

## sagemath-database-cremona-elliptic-curves 20221013

=== Makefile ===
--- 
+++ 
@@ -2,9 +2,8 @@
 
 CC = gcc
 
-FTP_HOST = warwick
-FTP_DIR = public_html/ftp/data
-DIST_DIR = /home/jec/ecdata/ecdata
+FTP_DIR = $(HOME)/JohnCremona.github.io/ftp/data
+DIST_DIR = $(HOME)/ecdata/ecdata
 
 ALLCURVES = allcurves/allcurves.?0000-?9999 allcurves/allcurves.??0000-??9999
 APLIST = aplist/aplist.?0000-?9999 aplist/aplist.??0000-??9999
@@ -23,6 +22,7 @@
 TWOADIC = 2adic/2adic.?0000-?9999 2adic/2adic.??0000-??9999
 OPTIMAL = opt_man/opt_man.?0000-?9999 opt_man/opt_man.??0000-??9999
 GROWTH = growth/*/growth*.*000-*999
+IWASAWA = iwasawa/iwasawa.?0000-?9999 iwasawa/iwasawa.1?0000-1?9999
 
 allcurves: $(ALLCURVES)
 	@echo $(ALLCURVES)
@@ -56,39 +56,33 @@
 	@echo $(OPTIMAL)
 growth: $(GROWTH)
 	@echo $(GROWTH)
+iwasawa: $(IWASAWA)
+	@echo $(IWASAWA)
 
-HTMLFILES = html/index.html html/shas.html html/table.html html/curves.1-1000.html
-TEXTFILES = doc/manin.txt doc/file-format.txt doc/release_notes.md doc/merging.txt
-DATAFILES =  $(ALLCURVES) $(APLIST) $(BIGSHA) $(COUNT) $(DEGPHI) $(ALLDEGPHI) $(ALLGENS) $(BSD) $(ALLISOG) $(PARICURVES) $(INTPTS) $(GALREPS) $(TWOADIC) $(OPTIMAL) $(GROWTH)
+HTMLFILES = docs/index.html docs/shas.html docs/table.html docs/curves.1-1000.html
+TEXTFILES = docs/manin.txt docs/file-format.txt docs/release_notes.md docs/merging.txt
+DATAFILES =  $(ALLCURVES) $(APLIST) $(BIGSHA) $(COUNT) $(DEGPHI) $(ALLDEGPHI) $(ALLGENS) $(BSD) $(ALLISOG) $(PARICURVES) $(INTPTS) $(GALREPS) $(TWOADIC) $(OPTIMAL) $(GROWTH) $(IWASAWA)
 FTPFILES = $(DATAFILES) $(TEXTFILES) $(HTMLFILES)
-DATASUBDIRS = allcurves aplist allbigsha count curves degphi alldegphi allgens allisog allbsd paricurves intpts galrep 2adic growth opt_man
+DATASUBDIRS = allcurves aplist allbigsha count curves degphi alldegphi allgens allisog allbsd paricurves intpts galrep 2adic growth opt_man iwasawa
 
 commit: $(FTPFILES)
 	git add $(DATAFILES)
 	-git commit -m "updated data files"
 	git add $(TEXTFILES)
-	-git commit -m "updated text files (in master:./doc)"
+	-git commit -m "updated text files (in master:./docs)"
 	git add $(HTMLFILES)
-	-git commit -m "updated html files (in master:./html)"
+	-git commit -m "updated html files (in master:./docs)"
 	git push
-	git checkout gh-pages
-	git checkout master:./html/ ./
-	git add *.html
-	-git commit -m "updated html files in gh-pages branch"
-	git push
-	git checkout master
-
 
 DATE = $(shell date +%Y-%m-%d )
 tar: $(FTPFILES)
 	rm -rf $(DIST_DIR)
 	mkdir -p $(DIST_DIR)
-	for d in $(DATASUBDIRS) html doc; do mkdir -p $(DIST_DIR)/$${d}; done
+	for d in $(DATASUBDIRS) docs; do mkdir -p $(DIST_DIR)/$${d}; done
 	for f in $(FTPFILES); do ln -s $(PWD)/$${f} $(DIST_DIR)/$${f}; done
 	cd $(DIST_DIR)/..
-	tar -zchf ecdata-$(DATE).tgz ecdata
-	scp ecdata-$(DATE).tgz $(FTP_HOST):$(FTP_DIR)/..
-	ssh $(FTP_HOST) chmod a+r $(FTP_DIR)/../ecdata-$(DATE).tgz
+	tar -zchf $(FTP_DIR)/ecdata-$(DATE).tgz ecdata
+	rm -rf $(DIST_DIR)
 
 # NB The Sage import script requires that the tarball extracts to a
 # directory called 'ecdata'

=== debian/changelog ===
sagemath-database-cremona-elliptic-curves (20221013-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.1.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 18 Oct 2022 09:27:30 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: math
 Priority: optional
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/JohnCremona/ecdata
 Build-Depends: debhelper-compat (= 13), python3
 Rules-Requires-Root: no
